<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  $daten = fgetcsv($datei, 10000, $Delimiter);
  while ($daten)
  {
    $Datum = $daten[0];
    for ($i=0; $i<count($daten); $i++)
    {
      $daten[$i] = str_replace('\'', '', $daten[$i]);
      $daten[$i] = utf8_encode($daten[$i]);
    }
    $GigDateDay = $Datum[0].$Datum[1];
    $GigDateMonth = $Datum[3].$Datum[4];
    $GigDateYear = $Datum[6].$Datum[7].$Datum[8].$Datum[9];
    if ( $daten[18]==$L_GigStatus1 ) { $GigStatus='Gig'; }
    else
    {
      if ( $daten[18]==$L_GigStatus2 ) { $GigStatus='Blocked'; }
      else
      {
        if ( $daten[18]==$L_GigStatus3 ) { $GigStatus='Option'; }
        else
        {
          if ( $daten[18]==$L_GigStatus4 ) { $GigStatus='Today'; }
          else
          {
            if ( $daten[18]==$L_GigStatus5 ) { echo $daten[18]; $GigStatus='Rehearsal'; }
            else
            {
              $ImportFehler++;
              $GigStatus='';
              echo 'ERROR: GigStatus unknown. ('.$daten[18].' on '.$GigDateDay.'.'.$GigDateMonth.'.'.$GigDateYear.')<br />';
            }
          }
        }
      }
    }
    $Array = array (  '',
                      $GigDateDay,
                      $GigDateMonth,
                      $GigDateYear,
                      $daten[1],
                      $daten[2],
                      $daten[3],
                      $daten[4],
                      $daten[5],
                      $daten[6],
                      '',
                      $daten[7],
                      $daten[8],
                      $daten[9],
                      $daten[10],
                      '',
                      '',
                      $daten[11],
                      $daten[12],
                      $daten[13],
                      $daten[14],
                      $daten[15],
                      $daten[16],
                      $daten[17],
                      $GigStatus,
                      1,
                      0,
                      '',
                      '',
                      '',
                      '');
    if ( $GigStatus=='' ) { echo 'ERROR: GigStatus is empty! ('.$daten[0].')<br />'; }
    if ( !addGig ( $Array, 'add' ) )
    {
      $ImportFehler++;
      echo 'ERROR: Importing Gig! ('.$daten[0].')<br />';
    }
    $daten = fgetcsv($datei, 10000, $Delimiter);
  }
?>
